Networking System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.x.x 1.0.5000.0 2.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.Object

Represents an Internet Protocol (IP) address.

An instance of the class contains the value of an address on an IP network. This address is stored internally as a

in network-byte-order.

Different conventions are in use for ordering bytes within multi-byte data types. All IP address values must be sent over the network in network-byte-order. Network-byte-order puts the most significant byte first (also known as big-endian order). On the host, the ordering of bytes is platform-specific and this ordering is referred to as host-byte-order.

The IP address can be represented as four numbers in the range 0-255 separated by periods (for example, "192.168.1.2"), known as dotted-quad notation.

The address space is fragmented into different types determined by bits 31-28 as shown in the following table.

Bits 31-28
Address type Address range
0xxx
class A 0.0.0.0-127.255.255.255
10xx
class B 128.0.0.0-191.255.255.255
110x
class C 192.0.0.0-223.255.255.255
1110
multicast 224.0.0.0-239.255.255.255
1111
reserved 240.0.0.0-255.255.255.255

Instances of the class are provided for common IP address values as shown in the following table.

Field
IP Address
Any
0.0.0.0
Broadcast
255.255.255.255
Loopback
127.0.0.1
None
255.255.255.255
- Constructor
  To be added.
  To be added.
  To be added.
  1.0.5000.0
  2.0.0.0
- Constructor
  A containing the IP address in host-byte-order.

  Constructs and initializes a new instance of the class.

  To be added.
  is less than 0 or greater than 0x00000000FFFFFFFF.
  0
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added.
  To be added.
  To be added.
  To be added.
  1.0.5000.0
  2.0.0.0
- Property
  System.Int64

  Gets or sets an Internet Protocol (IP) address.

  A containing the IP address in host-byte-order.

  To convert to dotted-quad notation, use the method.

  Values greater than 0x00000000FFFFFFFF are permitted for IPv6 extensibility.

  The value specified in a set operation is less than 0. 0 1.0.5000.0 2.0.0.0 System.Obsolete("This property is obsolete. Use GetAddressBytes.")
- Property
  System.Net.Sockets.AddressFamily

  Gets the address family.

  .

  This property is read-only.

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Net.IPAddress

  Indicates that the protocol will select which address to use.

  This field is read-only.

  This is equivalent to (0x0000000000000000) and represents the address 0.0.0.0.

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Net.IPAddress

  Provides the IP broadcast address.

  This field is read-only.

  This is equivalent to (0x00000000FFFFFFFF) and represents the address 255.255.255.255.

  This value is used to simultaneously address every host on the network.

  Multiple fields are defined for this IP address based on prior art. This field is identical to .

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean `` A to compare to the current instance.

  Determines whether the current instance and the specified represent the same IP address.

  A where indicates is an instance of the class and has the same property value as the current instance; otherwise .

  This method overrides .

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Byte[] To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Int32

  Generates a hash code for the current instance.

  A containing the hash code for the current instance.

  The algorithm used to generate the hash code is unspecified.

  This method overrides .

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Int16 `` A in host-byte-order.

  Converts a from host-byte-order to network-byte-order.

  A in network-byte-order.

  This method performs conversions on systems where the host-byte-order differs from network-byte-order. On systems where this is not the case, this method does nothing.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Int32 `` A in host-byte-order.

  Converts a from host-byte-order to network-byte-order.

  A in network-byte-order.

  This method performs conversions on systems where the host-byte-order differs from network-byte-order. On systems where this is not the case, this method does nothing.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Int64 `` A in host-byte-order.

  Converts a from host-byte-order to network-byte-order.

  A in network-byte-order.

  This method performs conversions on systems where the host-byte-order differs from network-byte-order. On systems where this is not the case, this method does nothing.

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Net.IPAddress To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Net.IPAddress To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Net.IPAddress To be added. To be added. 1.0.5000.0 2.0.0.0
- Property
  2.0.0.0
  System.Boolean To be added. To be added. To be added.
- Property
  2.0.0.0
  System.Boolean To be added. To be added. To be added.
- Property
  2.0.0.0
  System.Boolean To be added. To be added. To be added.
- Method
  System.Boolean `` A containing the IP address to check.

  Returns a that indicates whether the specified IP address is a loopback address.

  if is a loopback address; otherwise .

  All IP addresses of the form 127.X.Y.Z, where X, Y, and Z are in the range 0-255, are forwarded to the IP loopback address 127.0.0.1. The address is used to specify the address of the local computer.

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Net.IPAddress

  Provides the IP loopback address.

  This field is read-only.

  This is equivalent to (0x000000000100007F) and represents the address 127.0.0.1.

  The loopback address is used to specify the address of the local computer.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Int16 `` A in network-byte-order.

  Converts a from network-byte-order to host-byte-order.

  A in host-byte-order.

  This method performs conversions on systems where the host-byte-order differs from network-byte-order. On systems where this is not the case, this method does nothing.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Int32 `` A in network-byte-order.

  Converts a from network-byte-order to host-byte-order.

  A in host-byte-order.

  This method performs conversions on systems where the host-byte-order differs from network-byte-order. On systems where this is not the case, this method does nothing.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Int64 `` A in network-byte-order.

  Converts a from network-byte-order to host-byte-order.

  A in host-byte-order.

  This method performs conversions on systems where the host-byte-order differs from network-byte-order. On systems where this is not the case, this method does nothing.

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Net.IPAddress

  Provides the IP address that indicates that no network interface should be used.

  This field is read-only.

  This is equivalent to (0x00000000FFFFFFFF) and represents the address 255.255.255.255.

  Multiple fields are defined for this IP address based on prior art. This field is identical to .

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Net.IPAddress `` A in dotted-quad notation containing the IP address to convert.

  Converts a representation of an IP address in dotted-quad notation, to a instance.

  A new instance that represents the address specified in .

  An example of a string in dotted-quad notation is "127.0.0.1".

  is . is not a valid IP address. 0 1.0.5000.0 2.0.0.0
- Property
  System.Int64 To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.String

  Returns a representation of the value of the current instance.

  A representation of the current instance. The returned string is an IP address expressed in dotted-quad notation (for example, "192.168.1.2").

  The method converts the IP address stored in the property of the current instance to a containing

  the address in dotted-quad notation (for example, "192.168.1.2").

  This method overrides .

  0
  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
0